Altimax\Apidae\Core\Entity\SitraTripplanner:
  type: entity
  table: sitra_tripplanner
  repositoryClass: Altimax\Apidae\Core\Repository\SitraTripPlanner
  id:
    id:
      type: integer
      nullable: false
      unsigned: false
      comment: ''
      id: true
      generator:
        strategy: IDENTITY
  fields:
    userId:
      type: integer
      nullable: false
      comment: ''
      column: user_id
    name:
      type: string
      nullable: false
      length: 255
      fixed: false
      comment: 'Nom du trip planner'
    createdAt:
      type: date
      nullable: false
      comment: ''
      column: created_at
  oneToMany:
    contents:
      targetEntity: Altimax\Apidae\Core\Entity\SitraTripplannerContent
      mappedBy: tripplanner
      cascade: [ "persist", "remove" ]
      orphanRemoval: true
  lifecycleCallbacks: {  }
